
from distutils.core import setup
setup(
  name = 'japanese-twitter-bert',        
  packages = ['japanese-twitter-bert'],  
  version = '0.1',    
  license='MIT',        
  description = 'Process for transforming raw data collected from Twitter API into a bert based language model.',   # Give a short description about your library
  author = 'Jordan Wolfgang Klein',                   # Type in your name
  author_email = 'jordan.klein.21@um.edu.mt',      # Type in your E-Mail
  url = 'https://github.com/user/Lone-Wolfgang',   # Provide either the link to your github or to your website
  download_url = 'https://github.com/user/reponame/archive/v_01.tar.gz',    # I explain this later on
  keywords = ['Japanese', 'Twitter', 'Bert'],   # Keywords that define your package best
  install_requires= [
        "pyarrow",
        "fugashi",
        "ipadic",
        "huggingface-hub",
        "jsonlines",
        "nlp-dedup",
        "nltk",
        "pandas",
        "transformers"
    ],
  classifiers=[
    'Development Status :: 3 - Alpha',    
    'Intended Audience :: Developers',    
    'Topic :: Software Development :: Build Tools',
    'License :: OSI Approved :: MIT License',   
    'Programming Language :: Python :: 3.10',      
  ]
  )
